Subject: RE: [Hipsec] (not) using HITs as an application identifier

From: "Henderson, Thomas R" <[email-masked]>
Date: Tue, 20 Jul 2004 19:25:39 -0700

> -----Original Message-----
> From: marcelo bagnulo braun [mailto:[email-masked]] 
> Sent: Tuesday, July 20, 2004 2:19 AM
> To: Pekka Nikander
> Cc: Henderson, Thomas R; [email-masked]
> Subject: Re: [Hipsec] (not) using HITs as an application identifier
> 
> 
> Hi Pekka,
> 
> 
> > I haven't thought about the security implications of this, yet.
> >
> 
> i guess that the problem is how to (securely) link an AID with a HIT.
> 
> I mean, how does a node knows that a given AID (routable IP address) 
> actually corresponds to a given HIT?
> 

What scenario are you worried about?  

If a system is only provided with a routable AID, there are some 
limits to the security of being able to link it to a HIT.  However,
trusted DNS with reverse lookup is one way.  CB64 approach to the AID is
another.  

If system is provided with a HIT and a routable AID as a hint of
a locator to use, then we shouldn't have lost any security with this change.
_______________________________________________
Hipsec mailing list
[email-masked]
http://honor.trusecure.com/mailman/listinfo/hipsec

---

From: marcelo bagnulo braun <[email-masked]>
Date: Wed, 21 Jul 2004 16:15:24 +0200

Hi Tom,

> trusted DNS with reverse lookup is one way.  CB64 approach to the AID 

I agree that those mechanism can provide the security features, but 
then i wonder what do you use the HIT for?
I guess i am not understanding Pekka's suggestion...
I mean if the apps uses the routable AID and you build the security 
mechanisms as those you describe above in order to provide the required 
security for those identifiers, then why do you need to map to the HIP, 
for instance in the pseudo header, in other words, who would deal with 
the HIT in this case?

Regards, marcelo

---

From: Julien Laganier <[email-masked]>
Date: Wed, 21 Jul 2004 16:30:36 +0200

Hi Marcelo,

I tried to answer your question below...

On Wednesday 21 July 2004 16:15, marcelo bagnulo braun wrote:
> >> I mean, how does a node knows that a given AID (routable IP
> >> address) actually corresponds to a given HIT?
> >
> > limits to the security of being able to link it to a HIT. 
> > However, trusted DNS with reverse lookup is one way.  CB64
> > approach to the AID is
> > another.
>
> mechanisms as those you describe above in order to provide the
> required security for those identifiers, then why do you need to
> map to the HIP, for instance in the pseudo header, in other words,
> who would deal with the HIT in this case?

My understanding is that some simple client/server applications like 
telnet, http or ftp can use HITs in the socket API instead of IP 
addresses, while more complex referral applications might require to 
use IP addresses in the API. 

And we might have a library call or something like that for setting 
the AID API type to IP addresses or HIT , and a global system 
variable allowing to choose the default system-wide policy.

Thanks,

--julien